<md-content
    layout="column"
    layout-gt-sm="row"
    layout-align="space-around center"
    layout-wrap
    mb-preloading="loadingTemplatePreview"
    style="background-color: transparent">
    <md-card 
        ng-repeat="template in templates track by template.name"
        flex-xs flex-gt-xs="none" 
        layout="column">
        
        <!-- Description of template -->
        <md-card-title>
          <md-card-title-text>
            <p ng-if="template.description">{{template.description}}</p>
            <p ng-if="!template.description">This is a sample template</p>
          </md-card-title-text>
        </md-card-title>
        
<!--        <div layout-padding>
            <p ng-if="template.description">{{template.description}}</p>
            <p ng-if="!template.description">This is a sample template</p>
        </div>-->
        
        <!-- Thumbnail -->
        <img 
            ng-click="templateCtrl.showPreviewOf(template)"
            ng-src="{{template.thumbnail}}" 
            class="amh-core-themplate-card-image" 
            alt="{{template.name}}"> 
        
        <!-- Actions -->
        <md-card-actions 
            layout="row"
            layout-padding
            layout-align="end center">
            <md-button
                class="md-primary"
                ng-click="templateCtrl.showPreviewOf(template)"
                aria-label="Favorite">
                <span translate>Preview</span>
            </md-button>
        </md-card-actions>
    </md-card>
</md-content>